Skip to main content
POST
Create YNAB budget account

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

connectionId
integer
required

The YNAB connection ID

budgetId
integer
required

The YNAB budget ID

Body

application/json
name
string
required

The account name. YNAB requires it to be unique within the budget.

Required string length: 1 - 50
type
enum<string>
required

YNAB's API can create these six types. Other synced account types (including loans and lines of credit) must be created in YNAB.

Available options:
checking,
savings,
cash,
creditCard,
otherAsset,
otherLiability
balance
number | null

Starting balance in currency units, negative for a liability. Becomes YNAB's "Starting Balance" transaction. Defaults to 0.

Required range: -999999999999 <= x <= 999999999999

Response

The response is of type string.